module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[2]={
			args={sound_path=[[Magic/sound_magic_41602_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[3]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.05,
		},
		[4]={
			args={
				alive_time=3,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_416/Prefabs/416_attack2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=0.05,
		},
		[5]={args={},func_name=[[MagcAnimStart]],start_time=0.33,},
		[6]={args={},func_name=[[MagcAnimEnd]],start_time=0.6,},
		[7]={
			args={
				alive_time=0.8,
				effect={
					is_cached=true,
					magic_layer=[[top]],
					path=[[Effect/Magic/magic_eff_new_416/Prefabs/416_attack2_summon.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=2.5,
		},
		[8]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=false,
			},
			func_name=[[VicHitInfo]],
			start_time=2.7,
		},
		[9]={args={},func_name=[[End]],start_time=3.2,},
	},
	group_cmds={},
	magic_anim_end_time=0.6,
	magic_anim_start_time=0.33,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_416/Prefabs/416_attack2.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_416/Prefabs/416_attack2_summon.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
